The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Activando php4 y php5 simultáneamente.

Discussion in 'Discusión en Español' started by infinityl, Jun 11, 2010.

  1. infinityl

    infinityl Active Member

    Joined:
    May 27, 2010
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    Hola a todos y gracias por adelantado!

    El tema es que tenía apache 1.3 y php4, pero el crm sugar me pedía php5 y apache2, total que para no tener problemas con funcionalidades en antiguos php4 active ambos, recompilé apache con la 2.2, poniendo por defecto el 4. Pero claro sugar sigue diciendo que necesitaba php5 para funcionar (Minimum PHP version required is 5.2.0. You are using PHP version 4.4.9).

    Buscando por ahí vi que con el comando "AddType x-mapp-php5 .php" en el .htaccess se activaba php5 para ese directorio.
    Pero ahora al acceder por web al sugar me dice: "startSession(); $app->execute(); ?> " Osea que no se está ejecutando bien el php.

    Y la pregunta es ¿es problema de alguna opción de las que pregunta el cpanel al actualizar o es otro tema, ya sea de config de php o apache?

    Si alguien me echara una mano se lo agradecería infinitamente! ;)

    Un saludo!
     
  2. dethman

    dethman Well-Known Member
    PartnerNOC

    Joined:
    Jan 4, 2003
    Messages:
    120
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Buenos Aires, Argentina
    cPanel Access Level:
    DataCenter Provider
    Podes recompilar cpanel usando el "apache update" y activar tanto php4 como php5 pero la verdad no te recomiendo utilizar ambas. Por ahi te convendria contratar algun hosting con php5 o alguna vps.

    Saludos
     
  3. infinityl

    infinityl Active Member

    Joined:
    May 27, 2010
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    No sé si me he expresado bien... el tema es que YA tengo puesto en el servidor AMBOS php4 y php5... el tema es que no sé como activar uno u otro con algún comando php o algo...

    Un saludo!
     

Share This Page